#version 150

// Input vertex data, different for all executions of this shader.
in vec4 vert_position;
in vec2 texCoord;
layout(std140) uniform TransformationMatrices
{
    mat4 camera_matrix;
    mat4 persp_matrix;
};
uniform mat4 model_matrix;

smooth out vec2 texture_coordinate;

void main(){

	//vec4 cameraPos = camera_matrix * vert_position;
	//gl_Position = persp_matrix * cameraPos;
	
	gl_Position =  persp_matrix * camera_matrix * model_matrix * vert_position; 
	
    texture_coordinate = texCoord;

}
